MEMMEM(3pub)

NAME
memmem - search for memory block inside another memory block

SYNOPSIS
#include <publib.h>
void *memmem(const void *v, size_t size,
               const void *pat, size_t patsize);

DESCRIPTION
memmem searches for the pattern pat (length patsize bytes) in the memory block v (length size bytes).

RETURN VALUE
memmem returns a pointer to the first byte of the first occurence it finds, or NULL if it doesn't find any occurence.

SEE ALSO
publib(3), memrmem(3), strstr(3), strrstr(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)